const install = require('../utils/install')
const getSpinner = require('../utils/getSpinner')
const { isFireProject } = require('../utils/fire')
const { warning, success } = require('../utils/tip')
const { __pkgJson } = require('../utils/paths')
const fs = require('fs-extra')
const { shell } = require('execa')
module.exports = async function() {
  if (!isFireProject()) {
    return warning(
      'This is not a fire project,you can use fire init the project'
    )
  }
  const updateSpinner = getSpinner('updating...')
  updateSpinner.start()
  try {
    const { stdout } = await shell('npm view fire-scripts version')
    const pkgJson = require(__pkgJson)
    if (!pkgJson.dependencies) {
      pkgJson.dependencies = {}
    }
    pkgJson.dependencies['fire-scripts'] = stdout
    await fs.writeFile(__pkgJson, JSON.stringify(pkgJson, null, 2))
    await install()
    updateSpinner.stop()
    success('\n √ update completed!')
  } catch (e) {
    console.log(e)
  }
}
