const hasYarn = require('./hasYarn')
const { shell } = require('execa')
const fs = require('fs-extra')
const { join } = require('path')
const { __root, __nodeModules } = require('./paths')
module.exports = async function(projectPath, isRemoveNM = true) {
  if (typeof projectPath === 'boolean') {
    isRemoveNM = projectPath
    projectPath = null
  }
  projectPath = projectPath || __root
  if (isRemoveNM && fs.pathExistsSync(__nodeModules)) {
    await fs.remove(__nodeModules)
  }
  const hasYarnLock = fs.pathExistsSync(join(projectPath, 'yarn.lock'))
  await shell(
    `cd ${projectPath} && ${hasYarnLock && hasYarn() ? 'yarn' : 'npm i'}`
  )
}
